Go to the first, previous, next, last section, table of contents.

## Command line options

Command-line options for the command ``asir'` are as follows.

`-heap number`
  In Risa/Asir, 4KB is used as an unit, called block, for memory allocation. By default, 16 blocks (64KB) are allocated initially. This value can be changed by giving an option `-heap` a number parameter in unit block. Size of the heap area is obtained by a Built-in function heap(), the result of which is a number in Bytes.
`-adj number`
  Heap area will be stretched by the memory manager, if the size of reclaimed memories is less than 1/number of currently allocated heap area. The default value for number is 3. If you do not prefer to stretch heap area by some reason, perhaps by restriction of available memories, but if prefer to resort to reclaiming garbages as far as possible, then a large value should be chosen for number, e.g., 8.
`-norc`
  When this option is specified, Asir does not read the initial file ``$HOME/.asirrc'`.
`-quiet`
`-f file`
  Instead of the standard input, file is used as the input. Upon an error, the execution immediately terminates.
`-paristack number`
  This option specifies the private memory size for `PARI` (see section `pari`). The unit is Bytes. By default, it is set to 1 MB.
`-maxheap number`
  This option sets an upper limit of the heap size. The unit is Bytes. Note that the size is already limited by the value of `datasize` displayed by the command `limit` on UNIX.

Go to the first, previous, next, last section, table of contents.